@import _root_.configuration.CcConfig
@(title:String, config: CcConfig)(implicit lang: Lang, request: Request[AnyContent])
@import play.i18n._
@import views.html.helper.CSPNonce

<!doctype html>
<html ng-app='ccManager'>
    <head>
        @head(title, config)
        
        <script @{CSPNonce.attr} type="text/javascript">
            externalConfig.internalHostAndPort = "@config.internalHostAndPort"
        </script>
        <script src="@routes.Assets.versioned("javascripts/dist/ccmanager.js")" type="text/javascript"></script>

        <link rel="stylesheet" media="screen" href="@routes.Assets.versioned("cust_bootstrap/css/bootstrap.min.css")"/>
        <link rel="stylesheet" media="screen" href="@routes.Assets.versioned("javascripts/ng-table-5/ng-table.min.css")"/>
        <link rel="stylesheet" media="screen" href="@routes.Assets.versioned("javascripts/jquery-ui-1.10.2/jquery-ui-smoothness.css")"/>
        <link rel="stylesheet" media="screen" href="@routes.Assets.versioned("javascripts/ui-slider/slider.css")"/>
        <link rel="stylesheet" href="@routes.Assets.versioned("stylesheets/ccmanager/ccmanager.css")">
        <link rel="icon" href="@routes.Assets.versioned("images/favicon.ico")" type="image/x-icon">
    </head>
    <body data-preferredlang="@{lang.language}" enforce-security="@config.enforceManagerSecurity" state="{{$state.current.name}}">
        <div ui-view class="content-view"></div>
    </body>
</html>
